#
# spec file for package flwkey
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           flwkey
Version:        1.2.3
Release:        lp160.3.9
Summary:        Modem program for the K1EL Winkeyer series
License:        GPL-2.0
Group:          Productivity/Hamradio/Morse
URL:            http://www.w1hkj.com/
#Git-Clone:     https://git.code.sf.net/p/fldigi/flwkey
Source:         http://sourceforge.net/projects/fldigi/files/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  fltk-devel
BuildRequires:  flxmlrpc-devel
BuildRequires:  gcc-c++
BuildRequires:  update-desktop-files
Requires(post): update-desktop-files
Requires(postun): update-desktop-files

%description
FLWKEY is a simple interface to the Winkeyer series of CW code generators. It
can be used with both the Winkeyer 1.x and 2.x series as well as the RigExpert
and other units that either use the K1EL chipset or emulate it's behavior.

%prep
%setup -q

%build
export BUILD_DATE=`date -d@0`
export BUILD_USER=openSUSE
export BUILD_HOST=openSUSE
%configure
%make_build

%install
%make_install

%suse_update_desktop_file -i flwkey

%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/flwkey
%{_datadir}/applications/flwkey.desktop
%{_datadir}/pixmaps/flwkey.xpm

%changelog
* Thu Jun 29 2023 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Fix build for Tumbleweed and Factory
- New specfile based on fldigi specflie
* Fri Mar 25 2016 dl8fcl@t-online.de
- update to version 1.2.3
  Remember and restore WPM setting between sessions - default 20 WPM
  get_vfo - correct xmlrpc result string conversion to std::string
* Tue Apr 28 2015 dl8fcl@darc.de
- update to version 1.2.0
  requires libflxmlrpc
* Mon Jan 26 2015 dl8fcl@darc.de
- update to version 1.1.7 - Maintenance release
* Tue Feb  4 2014 dl8fcl@darc.de
- update to version 1.1.6 - Maintenance release
* Mon Feb 18 2013 dl8fcl@darc.de
- corrected spec file for openSUSE_Factory
* Sun Jan  6 2013 dl8fcl@darc.de
- update to version 1.1.4 - Maintenance release
* Mon Jun 25 2012 dl8fcl@darc.de
-  update to version 1.1.3
* Thu Jan 26 2012 dl8fcl@darc.de
- update to version 1.1.2, build with fltk-1.1.10 and fltk-1.3.0
* Tue Aug 31 2010 dl8fcl@darc.de
- import into buildservice
